Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class BusinessDirectory_Roles
    Inherits BaseObject

    Private _BusinessDirectory As BusinessDirectory
    Private _Role As Role

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("BusinessDirectory_Roles - BusinessDirectory", DefaultContexts.Save)> _
    Property BusinessDirectory As BusinessDirectory
        Get
            Return _BusinessDirectory
        End Get
        Set(value As BusinessDirectory)
            SetPropertyValue("BusinessDirectory", _BusinessDirectory, value)
        End Set
    End Property
    <RuleRequiredField("BusinessDirectory_Roles - Role", DefaultContexts.Save)> _
    Property Role As Role
        Get
            Return _Role
        End Get
        Set(value As Role)
            SetPropertyValue("Role", _Role, value)
        End Set
    End Property
End Class
